############################################################
# file: include_fix.awk
# 
# purpose: change all the include statements in the 
# C programs to eliminate UNIX prefixes for file names
# from =>        #include <sys/time.h>
# to   =>        #include <time.h>
#
# by: Dan Clark  August 21, 1991
#
# execute using the awk facility
# ie) awk -f change_include.awk *.f
# which will run the program on all files ending with .f in the
# current directory creating new files with the filenames of .fnew
# Do not run this program twice without cleaning up the .fnew files
#
# see ULTRIX 32 Supplimentary Documents Volume 2 Programmer 
#     pp. 3-5 to 3-12
# 
############################################################

# program initialization executed once for set up 
BEGIN {
  sep = "/" ; 
  count = 0;
  curfile = "";
#  print "Change any include statement in all files specified to awk "
#  print "from => #include <sys/time.h>
#  print "to   => #include <time.h>
#  print "write to a file named by appending \"new\" to the original filename"
}

# processing loop performed for all lines in each file

# print which file is being operated on to the screen
{ if (curfile != FILENAME)
  {
    curfile = FILENAME;
    print "input=> " FILENAME " output=> " FILENAME "new";
    count = count + 1
  }
}

# edit the include file statement
{ if ($1 == "#include")
  {
#    if ($2 ~ %s)
#    {
#     print $0
#    }
#    print $0
#    print $2
#    n = split($2, array, sep) 
#    print array[1]
#    print array[2]
#    print array[3]
#   $2 = array[3]
#   $1 = <
    print $0
  }
}

# write the source code to the new output file
{ print $0 >> FILENAME "new" }

# wrapup the program
END {
#  print "Total files processed = " count
}
